# detection benchmark
## 基础模型 
| model                   | backbone            | anchor | ema | bs | epoch | general test size | mAP                     | model |
| ----------------------- | ------------------- | ------ | --- | -- | ----- | ----------------- | ----------------------- | ----- |
| [retinanet-FPN](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/retinanet-r50_1x.yaml)           | resnet50            |        | no  | 16 | 12    | [800, 1333]       | 37.0                    | [ckpt](http://spring.sensetime.com/dropadmin/$/CECfp.pth)  |
| [faster-rcnn-FPN](https://github.com/ModelTC/EOD/blob/main/configs/det/faster_rcnn/faster_rcnn_r50_fpn_1x.yaml)         | resnet50            |        | no  | 16 | 12    | [800, 1333]       | 38.2                    | [ckpt](http://spring.sensetime.com/dropadmin/$/ERfaT.pth)  |
| [faster-rcnn-C4](https://github.com/ModelTC/EOD/blob/main/configs/det/faster_rcnn/faster_rcnn_r50_C4_1x.yaml)          | resnet50            |        | no  | 16 | 14    | [800, 1333]       | 34.4                    | [ckpt](http://spring.sensetime.com/dropadmin/$/rBC6E.pth)  |
| [rfcn](https://github.com/ModelTC/EOD/blob/main/configs/det/rfcn/rfcn-R50-1x.yaml)                    | resnet50            |        | no  | 16 | 14    | [800, 1333]       | 27.7                    |       |
| [YOLOX](https://github.com/ModelTC/EOD/blob/main/configs/det/yolox/yolox_nano.yaml)                   | nano                |        | yes | 32 | 300   | [416, 416]        | 24.8                    | [ckpt](http://spring.sensetime.com/dropadmin/$/9a3cP.pth)  |
| [YOLOX](https://github.com/ModelTC/EOD/blob/main/configs/det/yolox/yolox_tiny.yaml)                   | tiny                |        | yes | 32 | 300   | [416, 416]        | 33.0                    | [ckpt](http://spring.sensetime.com/dropadmin/$/KPNxX.pth)  |
| [YOLOX](https://github.com/ModelTC/EOD/blob/main/configs/det/yolox/yolox_small.yaml)                   | small               |        | yes | 32 | 300   | [640, 640]        | 40.4                    | [ckpt](http://spring.sensetime.com/dropadmin/$/vprlV.pth)  |
| [YOLOX](https://github.com/ModelTC/EOD/blob/main/configs/det/yolox/yolox_medium.yaml)                   | medium              |        | yes | 32 | 300   | [640, 640]        | 46.9                    | [ckpt](http://spring.sensetime.com/dropadmin/$/itSSw.pth)  |
| [YOLOX](https://github.com/ModelTC/EOD/blob/main/configs/det/yolox/yolox_large.yaml)                   | large               |        | yes | 32 | 300   | [640, 640]        | 49.9                    | [ckpt](http://spring.sensetime.com/dropadmin/$/9rJVP.pth)  |
| [YOLOX](https://github.com/ModelTC/EOD/blob/main/configs/det/yolox/yolox_fpga.yaml)                   | fpga               |        | yes | 8 | 300   | [320, 320]        | 29.2                      | [ckpt](http://spring.sensetime.com/dropadmin/$/KPNxX.pth)  |
| [YOLOv5-small](https://github.com/ModelTC/EOD/blob/main/configs/det/yolov5/yolov5_small_silu.yaml)            | darknetv5           |        | yes | 32 | 300   | [640, 640]        | 37.4                    | [ckpt](http://spring.sensetime.com/dropadmin/$/r9LwV.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/yolox_n_ret_a1_comloc.yaml)               | nano                |   1    | yes | 32 | 300   | [416, 416]        | 25.8                    | [ckpt](http://spring.sensetime.com/dropadmin/$/e81RM.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/yolox_n_ret_a2_comloc.yaml)               | nano                |   2    | yes | 32 | 300   | [416, 416]        | 26.4                    | [ckpt](http://spring.sensetime.com/dropadmin/$/zC1B4.pth)  |
| [YOLOX-ret-ada](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/yolox_n_ret_a2_comloc_ada.yaml)           | nano                |   2    | yes | 32 | 300   | [416, 416]        | 27.2                    | [ckpt](http://spring.sensetime.com/dropadmin/$/qPxNB.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/yolox_t_ret_a1_comloc.yaml)               | tiny                |   1    | yes | 32 | 300   | [416, 416]        | 33.6                    | [ckpt](http://spring.sensetime.com/dropadmin/$/CyQFP.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/yolox_t_ret_a2_comloc.yaml)               | tiny                |   2    | yes | 32 | 300   | [416, 416]        | 33.8                    | [ckpt](http://spring.sensetime.com/dropadmin/$/idfq4.pth)  |
| [YOLOX-ret-ada](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/yolox_t_ret_a2_comloc_ada.yaml)           | tiny                |   2    | yes | 32 | 300   | [416, 416]        | 35.4                    | [ckpt](http://spring.sensetime.com/dropadmin/$/Y9iFH.pth)  |

## 高精度 baseline
| model                   | backbone            | anchor | ema | bs | epoch | general test size | mAP                     | model |
| ----------------------- | ------------------- | ------ | --- | -- | ----- | ----------------- | ----------------------- | ----- |
| [retinanet-improve](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/retinanet-r18-improve.yaml)       | resnet18            |        | no  | 32 | 100   | [800, 1333]       | 40.7                    | [ckpt](http://spring.sensetime.com/dropadmin/$/5wKwC.pth)  |
| [retinanet-improve-cos-iou](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/retinanet-r18-improve_cos_iou.yaml)| resnet18           |        | no  | 32 | 100   | [800, 1333]       | 41.3                    |    [ckpt](http://spring.sensetime.com/dropadmin/$/wpheE.pth)   |
| [retinanet-mosaic-cos-iou](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/retinanet-r18_mosiac_cos_ema_iou.yaml)| resnet18            |        | no  | 32 | 100   | [800, 1333]       | 42.4                    |  [ckpt](http://spring.sensetime.com/dropadmin/$/Qag4T.pth)   |
| [faster-rcnn-FPN-improve](https://github.com/ModelTC/EOD/blob/main/configs/det/faster_rcnn/faster_rcnn_r50_fpn_improve.yaml) | resnet50            |        | no  | 32 | 100   | [800, 1333]       | 43.5                    | [ckpt](http://spring.sensetime.com/dropadmin/$/Dkk6a.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/yolox_s_ret_a1_comloc.yaml)               | small               |   1    | yes | 32 | 300   | [640, 640]        | 40.4                    | [ckpt](http://spring.sensetime.com/dropadmin/$/en6XT.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/yolox_s_ret_a2_comloc.yaml)               | small               |   2    | yes | 32 | 300   | [640, 640]        | 40.7                    | [ckpt](http://spring.sensetime.com/dropadmin/$/RolEg.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/yolox_m_ret_a1_comloc.yaml)               | medium              |   1    | yes | 32 | 300   | [640, 640]        | 47.0                    | [ckpt](http://spring.sensetime.com/dropadmin/$/zLN4c.pth)  |
| [YOLOX-ret](https://github.com/ModelTC/EOD/blob/main/configs/det/retinanet/yolox_m_ret_a2_comloc.yaml)               | medium              |   2    | yes | 32 | 300   | [640, 640]        | 47.4                    | [ckpt](http://spring.sensetime.com/dropadmin/$/XxL3k.pth)  |
